Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class ServiceDetail

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.response.Response
            |
            +--weblogic.uddi.client.structures.response.ListResponse
                  |
                  +--weblogic.uddi.client.structures.response.ServiceDetail

public class ServiceDetail
extends ListResponse

ServiceDetail contains BusinessService structures when returned by get_serviceDetail

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`ServiceDetail()` Class constructor.

Method Summary
`java.util.Vector` | `getBusinessServiceVector()` Gets the set of business services.
`void` | `setBusinessServiceVector(java.util.Vector value)` Sets the set of business services.

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDetail

    public ServiceDetail()

  Class constructor.

Method Detail

### getBusinessServiceVector

    public java.util.Vector getBusinessServiceVector()

  Gets the set of business services.

  Returns:
    the current set of business services.

### setBusinessServiceVector

    public void setBusinessServiceVector(java.util.Vector value)

  Sets the set of business services.

  Parameters:
    `the` - new set of business services.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference